import 'package:json_annotation/json_annotation.dart';

part 'notifyRegisterParams.g.dart';

@JsonSerializable()
class NotifyRegisterParams {
  String username;
  String password;
  String fcmToken;

  NotifyRegisterParams({
    required this.username,
    required this.password,
    required this.fcmToken
  });

  factory NotifyRegisterParams.fromJson(Map<String, dynamic> json) => _$NotifyRegisterParamsFromJson(json);
  Map<String, dynamic> toJson() => _$NotifyRegisterParamsToJson(this);
}
